Bug 41332 - [PATCH] Improved error reporting in jk_ajp_common.c
[PATCH] Improved error reporting in jk_ajp_common.c
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
Other other
: P3 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
Depends on:
  Show dependency tree
Reported: 2007-01-09 12:26 UTC by Tim Whittington
Modified: 2008-10-05 03:09 UTC (History)
0 users

Minor error reporting fixes for jk_ajp_common.c (2.81 KB, patch)
2007-01-09 12:28 UTC, Tim Whittington
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Whittington 2007-01-09 12:26:03 UTC
I've recently had to debug some TCP problems between JK and Tomcat, and tidied
up the error reporting a little.

This patch is basically minor tweaks to report some errors that weren't being
logged, and to make the reporting consistent (use of ae->last_error mostly).
Comment 1 Tim Whittington 2007-01-09 12:28:12 UTC
Created attachment 19382 [details]
Minor error reporting fixes for jk_ajp_common.c

Attaching patch
Comment 2 Rainer Jung 2007-01-28 06:56:02 UTC
I applied a variation of the patch and made the errno log format
more consistent across the different source parts (always using "(errno=...)").

Thanks for pointing this out.
Comment 3 Rainer Jung 2008-01-01 16:51:28 UTC
Move a couple of fixed JK issues from resolved to closed.